Subject: Re: bug#810: Moved to /usr but all configs expect it in /sbin

From: Mark Hindley <[email-masked]>
Date: Tue, 28 Nov 2023 15:22:40 +0000

Control: reassign -1 devuan-project
Control: affects -1 wpasupplicant

Klaus,

As Lorenzo has pointed out, this is a result of Debian's implementation of
merged-usr.

Although this has been coming for a while, the impasse with the dpkg maintainer
meant that Devuan was able to avoid enforcing merged-usr for the Daedalus
release. However, Debian has now circumvented the dpkg maintainer and there is
little more Devuan can do to resist.

I believe you have two options (I fear you will find neither palatable, for
which I apologise):-

 - Install Daedalus and do not upgrade beyond that.

 - Install the usrmerge package.

I imagine you will suggest forking wpasupplicant, however that one package is
not the fundamental issue here. Most, maybe all Debian packages are going to
have their binaries moved in the next few months and for Devuan to resist by
forking would be unsustainable.

Believe me that I think this Debian exercise is a waste of time, driven by
systemd dogma. However, for Devaun to attempt to fork every Debian package would
just waste even more time. I do not believe this to be worthwhile.

Sorry, I know that will disappoint you.

With best wishes

Mark